<?php
namespace Claromentis\Gallery\Search;

$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("pe" . "rm" . "s" => base64_decode("cGVybX" . "M="), "_c61345ccedc3" . "9c19774277662" . "75e2da6" => base64_decode("aW1hZ2VfZ" . "2FsbGVyeQ" . "=="), "_df945ac2fbdd15" . "76202fb48096eb4" . "3f9" => base64_decode("YWRtaW4ucGFuZWxzX2xpc3Q" . "="), "_61a5ceb347019e37116d4d29" . "07163b82" => base64_decode("bWF0Y2hfYW" . "xs"));
use Claromentis\Core\Admin\AdminPanel;
use Claromentis\Core\Security\SecurityContext;
use Claromentis\Core\Services;
use Claromentis\Search\GlobalSearchItemInterface;
use Claromentis\Search\Permissions as SearchPermissions;





class GallerySearchImage implements GlobalSearchItemInterface
{
    
    
    
    
    public function GetIndexingObject()
    {
        return new Indexing\ImageIndexing();
    }
    
    
    
    
    
    
    public function GetPermissionsSearchFilter(SecurityContext $context)
    {
        $_9d8a16b274aa2655326eee6fb9000c83 = new SearchPermissions();
        
        
        $_9c58d9e285fddad133acf2e9dff4c4b5 = Services::I()->{$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_df945ac2fbdd157" . "6202fb48096eb43f" . "9"]}->GetOne($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_c61345ccedc39c" . "1977427766275e2" . "da6"]);
        if (!$_9c58d9e285fddad133acf2e9dff4c4b5->IsAccessible($context)) {
            return $_9d8a16b274aa2655326eee6fb9000c83->GetSearchFilter($context, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["pe" . "rm" . "s"]);
        } else {
            return [$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_61a5ceb347" . "019e37116d4" . "d2907163b82"] => new \stdClass()];
        }
    }
    
    
    
    
    public function GetView()
    {
        return new View\ImageView();
    }
}